%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pybasever: %global pybasever %(%{__python} -c "import sys ; print sys.version[:3]" || echo 0.0)}

%global svnrev	9290
%global svndate	20101013

Name:		trac-accountmanager-plugin
Version:	0.2.1
Release:	6.%{svndate}svn%{svnrev}%{?dist}
Summary:	Account Manager plugin for Trac
Group:		Applications/Internet
License:	Copyright only
URL:		http://trac-hacks.org/wiki/AccountManagerPlugin
Source0:	TracAccountManager-%{version}dev-r%{svnrev}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python-setuptools

# This is needed for the test suite
BuildRequires:	trac >= 0.11.2

# Source comes from SVN repository at trac-hacks.org
Source1:	pull-from-svn.sh

# This package is explicitly for trac 0.11.x
Requires:	trac >= 0.11.2

# Required for import of pkg_resources
Requires:	python-setuptools

%description
The AccountManagerPlugin offers several features for managing user accounts:

 * allow users to register new accounts
 * login via an HTML form instead of using HTTP authentication
 * allow existing users to change their passwords or delete their accounts
 * send a new password to users who've forgotten their password
 * administer user accounts using the trac web interface

%prep
%setup -n TracAccountManager-%{version}dev-r%{svnrev} -q

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
%{__python} setup.py test
 
%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README contrib/sessionstore_convert.py
%{python_sitelib}/acct_mgr/
%{python_sitelib}/TracAccountManager-%{version}dev_r%{svnrev}-py%{pybasever}.egg-info/

%changelog
* Tue Dec 21 2010 Paul Howarth <paul@city-fan.org> - 0.2.1-6.20101013svn9290
- Update to svn revision 9290
  - Add "Remember me" (http://trac-hacks.org/ticket/131)
  - Fix infinite redirect loop after resetting the password
    (http://trac-hacks.org/ticket/3233)
  - Fix compatibility with AnnouncerPlugin
    (http://trac-hacks.org/ticket/6730 and http://trac-hacks.org/ticket/6739)
  - Various typo fixes etc.
- BR: python2-devel rather than just python-devel
- Require trac >= 0.11.2 for secure_cookies
- Add %%check section and run test suite
- BR: trac for trac.test, needed for test suite

* Wed Jul 28 2010 Paul Howarth <paul@city-fan.org> - 0.2.1-5.20100224svn7707
- Rebuild for python 2.7 in Rawhide

* Wed Feb 24 2010 Paul Howarth <paul@city-fan.org> - 0.2.1-4.20100224svn7707
- Update to svn revision 7707
  - fix email verification (http://trac-hacks.org/ticket/4125)
  - no mail if there's no email address (http://trac-hacks.org/ticket/3401)
  - fix realm for htdigest (upstream tickets #6329, #6453, #6464)
- Set timestamp on tarball to timestamp of latest change in svn
- Drop patch for http://trac-hacks.org/ticket/4125 (now in 0.11 branch)

* Wed Aug 19 2009 Paul Howarth <paul@city-fan.org> - 0.2.1-3.20090522svn5836
- Use setuptools to generate tarball, and fix timestamps on a per-file basis
- Use --skip-build in %%install to avoid repeating the build

* Tue Aug 18 2009 Paul Howarth <paul@city-fan.org> - 0.2.1-2.20090522svn5836
- Update to svn revision 5836 to fix deprecation warnings
  (http://trac-hacks.org/ticket/4984)
- Expand %%description and comment runtime dependencies
- Include script for pulling tarball from upstream svn
- Include sessionstore_convert.py script
  (http://www.mailinglistarchive.com/trac-users@googlegroups.com/msg03696.html)
- Add upstream patch for email verification issues with trac 0.11.4
  (http://trac-hacks.org/ticket/4125)

* Sun Apr 05 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.2.1-1.20090406svn5484
- Initial release

